# Introduction
This file lists activities performed by NextPage Sofware with respect to the development and maintenance of the BCoDE software toolkit and Model Create tool.

# Version 2.0.0 - 29/12/2019 Worklog

## Toolkit

The following log gives details of new developments and updates to the main BCoDE toolkit.

* 21/08/2019
  - Boost C++ libraries updated to version 1.71.0

* 03/09/2019
  - Implement support for specifying and parsing command line arguments

* 04/09/2019
  - Implement CLI/GUI modes

* 10/11/2019
  - Implement proper scaling support for High DPI monitors

* 21/12/2019
  - Boost C++ libraries updated to version 1.72.0

* 22/12/2019
  - Instantiate main calculation object independently from GUI
  - Move settings and Google Analytics tracker from GUI to the main calculation object

* 23/12/2019
  - Decouple Save/Load dialogs from main calculation object

* 25/12/2019
  - Implement running Excel and JSON models in CLI mode
  - Implement saving results of CLI runs to JSON files, to clipboard and directly to R session

* 26/12/2019
  - Fix showing outcome trees when loaded from model files
  - Allow reference data import and running "Model Create" tool in public build

* 27/12/2019
  - Implement support for importing and running models specified in JSON files

* 28/12/2019
  - Implement better algorithm for determining alpha transition
  - Enhance algorithm for calculation of results to support situations where transitions are from health state to health outcome.

## "Model Create" tool

The following section describes updates to “Model Create” tool.

* 25/12/2019
  - Update dependencies to latest versions

* 02/12/2019
  - Add unit testing based on jest

* 09/12/2019
  - Fix issues with health outcomes managements (adding, deleting, updating)

* 10/12/2019
  - Fix modifying transitions
  - Implement autocomplete for transition names
  - Reimplement specifying complementary transitions
  - Add "annualDuration" parameter to transitions

* 11/12/2019
  - Convert models to JSON fully in JavaScript

* 27/12/2019
  - Support specifying average number of cases

* 28/12/2019
  - Add "remainingCases" parameter in health states
  - Implement "Listeriosis" model in JSON using "Model Create" tool

# Version 1.7.0 - 25/02/2019 Worklog

## Toolkit

The following log gives details of new developments and updates to the main BCoDE toolkit.

* 02/09/2018
  -	Boost C++ libraries updated to version 1.68.0

* 10/09/2018
  -	Google Analytics integrated using test account of NextPage Software.

* 21/10/2018
  -	Initial communication between “Model Create” tool and the main toolkit implemented through class “ModelCreateWebGUI”. First method is “emailModel” which will be used for emailing edited disease models to ECDC for review and publication in the online repository.

* 30/10/2018
  -	Qt C++ framework updated to version 5.12 beta 3 in order to include latest developments in the framework and prepare the toolkit for final release of Qt 5.12.

* 04/01/2019
  -	Rewrite internal logic for importing and managing model definitions. Remove hard-coded references to disease models. Support both old model definitions (3 Excel files, 1 html file, 1 JavaScript file) and new model definitions (1 JSON file).

* 12/01/2019
  -	Models specified with new definition formats have outcome trees plotted dynamically.

* 17/01/2019
  -	Support saving new model definition files using system dialogs (location of saved files can be specified, as opposed to the web version of “Model Create” tool).

* 25/01/2019
  -	Update all model definitions of existing disease models and merge into a single set. Now the toolkit supports 124 disease models in total.

* 28/01/2019
  -	Clean source code of commented out code, apply consistent indenting format (4 spaces in C++ code).

* 30/01/2019
  -	Qt framework updated to version 5.12.1. Boost C++ libraries updated to version 1.69.0. Production builds 1.7.0 created in both 32- and 64-bit versions.

## "Model Create" tool

“Model Create” tool allows creating new disease models and modifying existing ones. It has been implemented as a web application built on top of React JavaScript library (https://facebook.github.io/react/) and as such can be run in any web browser. The BCoDE toolkit embeds the Chromium web browser and blends it into a desktop application. Therefore the “Model Create” tool is available to the end user:
1)	Directly within the BCoDE toolkit. Open it with menu “Tools -> Open Model Create tool”.
2)	As web page available here: http://www.nextpagesoft.net/bcode/model-create/1.7.0/
Recent versions of Firefox and Chrome web browsers are recommended for best experience.

The following section describes updates to “Model Create” tool.

* 06/09/2018
  -	Restarting development with up-to-date and limited number of dependencies (React, mobx, material-ui)
  -	Source code repository set up on Github: https://github.com/nextpagesoft/BCoDE-Model-Create/
  -	Automated testing set up on Travis CI: https://travis-ci.org/nextpagesoft/BCoDE-Model-Create

* 15/09/2018
  -	Main screen implemented with application bar and left navigation drawer (Models list and management)

* 21/09/2018
  -	Model class implemented
  -	UI for adding new models implemented

* 22/09/2018
  -	Tabbed interface for displaying Model details and Outcome trees implemented

* 23/09/2018
  -	Validation text field implement for automatic validation of inputs
  -	Initial state of the app to be loaded on start-up implemented to aid development and testing
  -	Draft implementation of UI for model info updates

* 24/09/2018
  -	Outcome tress, list and “Add” widget implemented

* 25/09/2018
  -	Generic UI for adding items (health outcome, transition) added

* 29/09/2018
  -	Adding health outcomes implemented

* 30/09/2018
  -	Draft implementation of rendering health outcomes
  -	Deleting health outcomes implemented

* 01/10/2018
  -	Bug fixes to the outcome tree rendering widget
  -	Implement selection of allowed health outcome types
  -	Implement initial rendering of transitions
  -	Implement styling health outcomes per type

* 02/10/2018
  -	Implement UI for selecting sources and targets of transitions

* 08/10/2018
  -	Implement modifying health outcomes and transitions
  -	Implement draft UI for modifying health states

* 09/10/2018
  -	Initial work on editing data tables (generic container for disability weights, duration, proportion, probability, redistribution per age/sex)
  -	Add ECDC styling to data tables

* 19/10/2018
  -	Improve styling of data tables
  -	Update dependencies to the latest versions

* 20/10/2018
  -	Add initial implementation of filling data tables with value
  -	Add context menu to data tables

* 22/10/2018
  -	Implement all editing dialogs (health outcome, health state, transition)
  -	Show health states in health outcomes list

* 25/10/2018
  -	Implement rendering health states inside health outcomes

* 05/11/2018
  -	Implement draft serialization of models

* 06/10/2018
  -	Implement mapping table UI for assignment of outcome trees to specific age/sex categories

* 07/11/2018
  -	Add option to fill mapping table with a single value through context menu

* 03/12/2018
  -	Remove source code from Github and Travis CI.

* 12/12/2018
  -	Fix incorrect references in transitions to source and target health outcomes/states when serializing to file

* 02/01/2019
  -	Update outcome tree mapping table to keep outcome trees Ids, rather than outcome tree names. Populate selection options for entries of the table dynamically from the set of existing outcome trees.

* 14/01/2019
  -	Expand JSON model definition with health outcome run order to fix order in which calculations are propagated through an outcome tree.

* 27/01/2019
  -	Clean source code of commented out code, apply consistent indenting format (2 spaces in JavaScript code).
