# Building the application

The process of building the entire application can be split into two stages:

1. Building the "Mode Create" tool.
2. Building the BCoDE toolkit.

## Building the "Model Create" tool

1. Install prerequisites:

    1. Node.js® JavaScript runtime (https://nodejs.org/). Version 13.5.0 is the latest version as of 29/12/2019.
    2. Yarn JavaScript package dependency manager (https://yarnpkg.com/en/).

2. Clone BCoDE repository to a folder on disk, say "D:\BCoDE".

3. Open Windows Command Prompt (press Win + R keys. Then type "cmd" and click OK). Browse to the folder created in step 2. For instance, in the command prompt type "D:" and press enter. This will switch to drive D. Then type "cd BCoDE\source\ModelCreate". This will change current folder to "D:\BCoDE\source\ModelCreate".

4. Install dependencies of the application by executing in the command prompt "yarn install". This will download JavaScript packages from internet and install then to a new subfolder called "node_modules".

5. Build the application by executing in the command prompt
    1. "yarn build-Standalone" - this will create the final application in subfolder "build" ready to be opened in a web browser as a standalone tool. Run the application by browsing with a file manager to "D:\BCoDE\_build\ModelCreate - Standalone" subfolder and double-clicking file "index.html".
    2. "yarn build-BCODE" - this will create the final application in subfolder "D:\BCoDE\_build\ModelCreate - BCoDE" ready to be integrated with the main toolkit. Copy content of that subfolder to a folder named "modelCreate" existing along side "BCoDE.exe" executable of the toolkit.

## Building the BCoDE toolkit

1. Install prerequisites (we assume the 64-bit version is built):

    1. Microsoft Visual C++ Compiler 15.0 64-bit. This compiler is distributed by Microsoft as part of Microsoft Visual Studio 2017 Community free package.

    2. Qt framework 5.14.0 64-bit for Microsoft Visual C++. This framework includes also a C++ editor and development platform called Qt Creator. The BCoDE toolkit is configured to be built within this IDE.

3. Open project file "D:\BCoDE\source\Toolkit\BCoDE.pro" in Qt Creator.

4. Configure build tools in Qt Creator. Open menu "Tools -> Options" and go to section "Build & Run". Check if tab "Compilers" list the Microsoft Visual C++ Compiler 15.0. Check if tab "Qt Versions" lists Qt 5.14.0 MSVC 2017 64 bit.
In tab "Kits" add a new combination of compiler and Qt framework if one already does not exist. Click "Add", give it a name in the "Name" field (say, “Desktop Qt 5.14.0 MSVC2017 64-bit”), select compiler in "Compiler" drop-down box and Qt version in "Qt version" drop-down box. Click "OK" to apply changes and exit "Options" dialog box.

5. Select kit for building the "BCoDE" toolkit. Click "Projects" button to the right. Check if the kit created in step 4 appears in "Build and Run" section. Note the build directory. This is where the final executable of the toolkit will be created.

6. Go to "Edit" page. In view "Projects" right-click the root folder called "BCoDE". Select option "Clean". Once this is completed right-click "BCoDE" again and selection option "Run qmake". Finally, right-click "BCoDE" and select option "Rebuild".

7. Create empty deployment package in a new folder. Simply create a new folder, say "D:\BCoDE_deployed".

8. Copy file "_DEPLOY_x64.cmd" from "D:\BCoDE\deployScripts\" to the deployment folder "D:\BCoDE_deployed". Adjust paths in the file to reflect locations of BCoDE build directory, VC, QT and SignTool.

9. Open Windows command line console and browse to "D:\BCoDE_deployed" folder. Type "_DEPLOY_x64.cmd" and press ENTER. This will copy all Qt and Visual C++ compiler dependencies to this folder. They are required to successfully run the application.
