echo "Deploying x64 version of BCoDE"

rem Set paths
SETLOCAL 
SET BCODE_SOURCE_PATH=D:\_REPOSITORIES\bcode
SET VC_PATH=C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\VC\Redist\MSVC\14.16.27012\onecore\x64\Microsoft.VC141.CRT
SET QT_PATH=C:\SoftDevel\Qt\5.14.0\msvc2017_64
SET SIGNTOOL_PATH=C:\Program Files (x86)\Microsoft SDKs\ClickOnce\SignTool

rem Copy BCoDE executable
xcopy /Y %BCODE_SOURCE_PATH%\_build\Toolkit\x64\FINAL\release\BCoDE.exe

rem Copy QT dependencies
%QT_PATH%\bin\windeployqt.exe BCoDE.exe --release --force --compiler-runtime --no-quick-import --no-translations --no-system-d3d-compiler --no-webkit2 --no-opengl-sw --no-plugins
xcopy /sY %QT_PATH%\plugins\styles\qwindowsvistastyle.dll .\styles\
xcopy /sY %QT_PATH%\plugins\platforms\qwindows.dll .\platforms\

rem Copy VC dependencies
xcopy /Y "%VC_PATH%\msvcp140.dll"
xcopy /Y "%VC_PATH%\vcruntime140.dll"

rem Copy BCoDE extra tools and models data
xcopy /sY %BCODE_SOURCE_PATH%\_build\ModelCreate\* .\modelCreate\
xcopy /sY "%BCODE_SOURCE_PATH%\_build\ModelCreate - Standalone\*" .\modelCreate-Standalone\
xcopy /sY %BCODE_SOURCE_PATH%\_models\* .\models\
xcopy /sY %BCODE_SOURCE_PATH%\_referenceData\* .\referenceData\
xcopy /sY %BCODE_SOURCE_PATH%\_diseaseReports\* .\diseaseReports\
xcopy /sY %BCODE_SOURCE_PATH%\source\RunBCoDE.R

rem Sign BCoDE executable
"%SIGNTOOL_PATH%\signtool.exe" sign /sha1 "c114a2ad405a79759f83a0e3efb0db205d20f333" /tr http://time.certum.pl /fd sha256 /v BCoDE.exe

rem Delete BCoDE.ini file if exists. It should be initialized on the user computer.
del .\BCoDE.ini