import React from 'react';
import { observer, inject, PropTypes as MobxPropTypes } from 'mobx-react';

const Breadcrumb = ({ modelsStore }) => {
  let breadcrumb = 'Model path: ';

  if (modelsStore.selectedModel) {
    breadcrumb = breadcrumb + modelsStore.selectedModel.name || '';
    if (modelsStore.selectedModel.selectedOutcomeTree) {
      breadcrumb =
        breadcrumb +
          ' > ' +
          modelsStore.selectedModel.selectedOutcomeTree.name || '';
    }
  } else {
    breadcrumb += '[no model selected]';
  }

  return <React.Fragment>{breadcrumb}</React.Fragment>;
};

Breadcrumb.propTypes = {
  modelsStore: MobxPropTypes.observableObject.isRequired,
};

export default inject('modelsStore')(observer(Breadcrumb));
