import React from 'react';
import { observer, PropTypes as MobxPropTypes } from 'mobx-react';
import Grid from '@material-ui/core/Grid';
import DataTable from './DataTable';
import ListTitle from './ListTitle';

@observer
class ModelTabIncidence extends React.Component {
  static propTypes = {
    model: MobxPropTypes.observableObject.isRequired,
  };

  render() {
    const { model: {rawCasesCountArray }} = this.props;

    return(
      <Grid
        container
        direction="column"
        justify="center"
        alignItems="center"
        spacing={1}
      >
        <Grid item xs={12} container>
          <Grid item xs={4} />
          <Grid item xs={4}>
            <ListTitle title="Average number of cases per year" />
            <DataTable
              dataArray={rawCasesCountArray}
            />
          </Grid>
        </Grid>
      </Grid>
    )
  }
};

export default ModelTabIncidence;
