import React from 'react';
import { observer, PropTypes as MobxPropTypes } from 'mobx-react';
import Snackbar from '@material-ui/core/Snackbar';
import { NOTIFICATION_DURATION } from '../settings';

const MsgBar = ({ notificationStore }) => {
  const { msgInfo, hasMsg, clearMsg } = notificationStore;

  const handleClose = () => clearMsg();

  return (
    <Snackbar
      anchorOrigin={{ vertical: 'bottom', horizontal: 'right' }}
      open={hasMsg}
      ContentProps={{
        'aria-describedby': 'message-id',
      }}
      key={msgInfo.key}
      message={msgInfo.msg}
      autoHideDuration={NOTIFICATION_DURATION}
      onClose={handleClose}
    />
  );
};

MsgBar.propTypes = {
  notificationStore: MobxPropTypes.observableObject.isRequired,
};

export default observer(MsgBar);
