import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'mobx-react';
import Stores from './stores';
import runInit from './init';

import App from './App';

const stores = new Stores();

ReactDOM.render(
  <Provider
    notificationStore={stores.notificationStore}
    modelsStore={stores.modelsStore}
  >
    <App />
  </Provider>,
  document.getElementById('app'),
  () => runInit(stores),
);
