import { DEBUG, HealthOutcomeType } from './settings';

export default stores => {
  if (!DEBUG) return;

  const model = stores.modelsStore.createModel('Test disease');

  const outcomeTree1 = model.addOutcomeTree('Outcome tree 1');

  const infection = outcomeTree1.addHealthOutcome(
    'Infection',
    HealthOutcomeType.INFECTION,
    100,
    0,
  );
  const symptomatic = outcomeTree1.addHealthOutcome(
    'Symptomatic',
    HealthOutcomeType.ACUTE,
    54,
    200,
  );
  symptomatic.addHealthState('Uncomplicated');
  symptomatic.addHealthState('Complicated');
  const asymptomatic = outcomeTree1.addHealthOutcome(
    'Asymptomatic',
    HealthOutcomeType.ASYMPTOMATIC,
    240,
    200,
  );
  const sequela = outcomeTree1.addHealthOutcome(
    'Sequela',
    HealthOutcomeType.SEQUELA,
    80,
    400,
  );
  const death = outcomeTree1.addHealthOutcome(
    'Death',
    HealthOutcomeType.DEATH,
    170,
    400,
  );
  const recovery = outcomeTree1.addHealthOutcome(
    'Recovery',
    HealthOutcomeType.RECOVERY,
    80,
    600,
  );
  outcomeTree1.addTransition('alpha', infection, symptomatic);

  outcomeTree1.addTransition('1 - alpha', infection, asymptomatic);

  outcomeTree1.addTransition(
    'beta',
    symptomatic.healthStatesAsArray[0],
    sequela,
  );

  outcomeTree1.addTransition(
    'delta',
    symptomatic.healthStatesAsArray[1],
    death,
  );
  outcomeTree1.addTransition('r', sequela, recovery);

  model.addOutcomeTree('Outcome tree 2');

  model.selectOutcomeTree(outcomeTree1.id, outcomeTree1.name);
};
