import { HealthOutcomeType } from '../settings';

// Get enable status for health outcome types
export default healthOutcomes => {
  const infectionExists = healthOutcomes.some(
    healthOutcome => healthOutcome.type === HealthOutcomeType.INFECTION,
  );
  const asymptomaticExists = healthOutcomes.some(
    healthOutcome => healthOutcome.type === HealthOutcomeType.ASYMPTOMATIC,
  );
  const acuteExists = healthOutcomes.some(
    healthOutcome => healthOutcome.type === HealthOutcomeType.ACUTE,
  );

  // A. Infection health outcome
  const INFECTION = !infectionExists;

  // B. Acute health outcome
  const ACUTE = infectionExists && !acuteExists;

  // C. Asymptomatic health outcome
  const ASYMPTOMATIC = infectionExists && !asymptomaticExists;

  // D. Sequela health outcome
  const SEQUELA = infectionExists && acuteExists;

  // E. Recovery health outcome
  const RECOVERY = infectionExists && acuteExists;

  // F. Death health outcome
  const DEATH = infectionExists && acuteExists;

  return {
    INFECTION,
    ACUTE,
    ASYMPTOMATIC,
    SEQUELA,
    RECOVERY,
    DEATH,
  };
};
