import { WEB_REPOSITORY_ADDRESS } from '../settings';

export default () => {
  const request = {
    method: 'GET',
    mode: 'cors',
    cache: 'no-cache',
    headers: new Headers({
      'Content-Type': 'text/html',
    }),
  };

  window.fetch(`${WEB_REPOSITORY_ADDRESS}`, request).then(response => {
    const reader = response.body.getReader();
    const stream = new ReadableStream({
      start(controller) {
        // The following function handles each data chunk
        function push() {
          // "done" is a Boolean and value a "Uint8Array"
          reader.read().then(({ done, value }) => {
            // Is there no more data to read?
            if (done) {
              // Tell the browser that we have finished sending data
              controller.close();
              return;
            }

            // Get the data and send it to the browser via the controller
            controller.enqueue(value);
            push();
          });
        }

        push();
      },
    });

    return new Response(stream, request);
  });
};
