#-------------------------------------------------
#
# Project created by QtCreator 2011-07-02T13:59:02
#
#-------------------------------------------------

TARGET = BCoDE
TEMPLATE = app

QT += core gui widgets webenginewidgets axcontainer

CONFIG += precompile_header
CONFIG += c++14

PRECOMPILED_HEADER = stable.h

# The application version
VERSION = 2.0.0
# Organization name
ORGANIZATION_NAME = \\\"ECDC\\\"
# Organization domain
ORGANIZATION_DOMAIN = \\\"ecdc.com\\\"
# Application name
APPLICATION_NAME = \\\"BCoDE\\\"
QMAKE_TARGET_COPYRIGHT = "Copyright (C) 2020 ECDC"
QMAKE_TARGET_COMPANY = "ECDC"
QMAKE_TARGET_DESCRIPTION = "Application to calculate DALYs"
QMAKE_TARGET_PRODUCT = "BCoDE"

# Define the preprocessor macro to get the application version in our application.
DEFINES += APP_VERSION=\\\"$$VERSION\\\"
DEFINES += APP_ORGANIZATION_NAME=$$ORGANIZATION_NAME
DEFINES += APP_ORGANIZATION_DOMAIN=$$ORGANIZATION_DOMAIN
DEFINES += APP_APPLICATION_NAME=$$APPLICATION_NAME
DEFINES += _UNICODE
DEFINES += BOOST_ALL_NO_LIB

CONFIG(debug, debug|release) {
    DEFINES += DEBUG
    DEFINES += QT_DEBUG_PLUGIN
} else {
    DEFINES += RELEASE
    DEFINES += QT_NO_DEBUG
    DEFINES += QT_NO_DEBUG_OUTPUT
    DEFINES += NDEBUG
    DEFINES += BOOST_DISABLE_ASSERTS
}

INCLUDEPATH += $$PWD/
INCLUDEPATH += C:/SoftDevel/boost/boost_1_72_0/

DEFINES += _SCL_SECURE_NO_WARNINGS
DEFINES += _CRT_SECURE_NO_WARNINGS
DEFINES += HAVE_CPP0X_TEMPLATE_ALIASES
DEFINES += HAVE_CPP0X_VARIADIC_TEMPLATES
DEFINES += HAVE_CPP0X_INITIALIZER_LISTS

*msvc* {
    QMAKE_CXXFLAGS += /wd4100 /wd4482 -openmp -MP
    QMAKE_LFLAGS += /ignore:4100
    QMAKE_CFLAGS_DEBUG += /Z7
    QMAKE_CXXFLAGS_RELEASE *= -O2
}

SOURCES += \
    main.cpp \
    fn/globals.cpp \
    fn/InputFactorMgr.cpp \
    fn/InputFactor.cpp \
    fn/InputDataMgr.cpp \
    fn/DiseaseModel.cpp \
    ui/Chief.cpp \
    ui/BcodeMainWnd.cpp \
    ut/Exception.cpp \
    ui/WebGUI.cpp \
    fn/DataArray.cpp \
    fn/HealthState.cpp \
    fn/HealthOutcome.cpp \
    fn/Infection.cpp \
    fn/TransitionProbability.cpp \
    fn/SequelaBase.cpp \
    fn/Overloads.cpp \
    fn/DiseaseTemplateMgr.cpp \
    ui/DataPresenter.cpp \
    ui/TransProbDataPresenter.cpp \
    ut/VariantUtils.cpp \
    ui/InfectionDataPresenter.cpp \
    ui/AsymptomaticDataPresenter.cpp \
    ut/Excel.cpp \
    fn/Settings.cpp \
    ui/SettingsDlg.cpp \
    fn/OutcomeTreeNode.cpp \
    ui/YLDHealthOutcomeDataPresenter.cpp \
    ui/YLLHealthOutcomeDataPresenter.cpp \
    fn/TransitionProbabilityComplement.cpp \
    fn/TransitionProbabilityBase.cpp \
    fn/OutcomeTree.cpp \
    fn/OutcomeTreeTemplate.cpp \
    fn/DiseaseTemplate.cpp \
    fn/ParamsMgr.cpp \
    fn/StringMultiArray.cpp \
    external/muParser/muParserTokenReader.cpp \
    external/muParser/muParserError.cpp \
    external/muParser/muParserCallback.cpp \
    external/muParser/muParserBytecode.cpp \
    external/muParser/muParserBase.cpp \
    external/muParser/muParser.cpp \
    fn/formulaParserHelper.cpp \
    fn/ImportExportHelpers.cpp \
    fn/ArrayHelpers.cpp \
    fn/ModelRunWorker.cpp \
    fn/FormulaChecker.cpp \
    ui/PresenterMgr.cpp \
    fn/DataValue.cpp \
    fn/DiseaseReportMgr.cpp \
    fn/TransitionParamsMgr.cpp \
    fn/ResultsComputer.cpp \
    ui/About3rdPartyDlg.cpp \
    ui/AboutBcodeDlg.cpp \
    ui/WhatsNewDlg.cpp \
    fn/WebData.cpp \
    ui/ModelCreateDlg.cpp \
    external/ganalytics/ganalytics.cpp \
    ui/ModelCreateWebGUI.cpp \
    fn/JSONInputDataMgr.cpp \
    fn/JSONDiseaseTemplate.cpp \
    ut/SmtpClient.cpp

HEADERS  += \
    fn/globals.h \
    fn/InputFactorMgr.h \
    fn/InputFactor.h \
    fn/InputDataMgr.h \
    fn/DiseaseModel.h \
    ui/Chief.h \
    ui/BcodeMainWnd.h \
    ut/globals.h \
    ut/Exception.h \
    ui/WebGUI.h \
    fn/DataArray.h \
    fn/HealthState.h \
    fn/HealthOutcome.h \
    fn/Infection.h \
    fn/TransitionProbability.h \
    fn/SequelaBase.h \
    fn/Overloads.h \
    fn/CustomDataTypes.h \
    stable.h \
    fn/DiseaseTemplateMgr.h \
    ui/DataPresenter.h \
    ui/TransProbDataPresenter.h \
    ut/VariantUtils.h \
    ui/InfectionDataPresenter.h \
    ui/AsymptomaticDataPresenter.h \
    ut/Excel.h \
    fn/Settings.h \
    ui/globals.h \
    ui/SettingsDlg.h \
    fn/OutcomeTreeNode.h \
    ui/YLDHealthOutcomeDataPresenter.h \
    ui/YLLHealthOutcomeDataPresenter.h \
    fn/TransitionProbabilityComplement.h \
    fn/TransitionProbabilityBase.h \
    fn/OutcomeTree.h \
    fn/OutcomeTreeTemplate.h \
    fn/DiseaseTemplate.h \
    fn/ParamsMgr.h \
    fn/StringMultiArray.h \
    external/muParser/muParserTokenReader.h \
    external/muParser/muParserToken.h \
    external/muParser/muParserTemplateMagic.h \
    external/muParser/muParserStack.h \
    external/muParser/muParserFixes.h \
    external/muParser/muParserError.h \
    external/muParser/muParserDef.h \
    external/muParser/muParserCallback.h \
    external/muParser/muParserBytecode.h \
    external/muParser/muParserBase.h \
    external/muParser/muParser.h \
    external/marray.hxx \
    fn/formulaParserHelper.h \
    fn/ImportExportHelpers.h \
    fn/ArrayHelpers.h \
    fn/ModelRunWorker.h \
    fn/FormulaChecker.h \
    ui/PresenterMgr.h \
    fn/DataValue.h \
    fn/DiseaseReportMgr.h \
    fn/TransitionParamsMgr.h \
    fn/ResultsComputer.h \
    ui/About3rdPartyDlg.h \
    ui/AboutBcodeDlg.h \
    ui/WhatsNewDlg.h \
    fn/WebData.h \
    ui/ModelCreateDlg.h \
    external/ganalytics/ganalytics.h \
    ui/ModelCreateWebGUI.h \
    fn/JSONInputDataMgr.h \
    fn/JSONDiseaseTemplate.h \
    ut/SmtpClient.h \
    external/vld.h \
    external/vld_def.h

FORMS    += \
    ui/BcodeMainWnd.ui \
    ui/SettingsDlg.ui

RESOURCES += \
    resources.qrc
