//==========================================================================================================================
//  'DataValue' DataValue
//			This class implements a scalar value given with formula
//
//  Written by Daniel Lewandowski
//  Copyright @ 2014 NextPage Software
//==========================================================================================================================

#ifndef _fn_DataValue_
#define _fn_DataValue_

#include "fn/globals.h"

namespace fn {

class DataValue
{
public:

    // Constructor
    //
    DataValue(const QString& formula);

    // Default constructor
    //
    DataValue();

    // Destructor
    //
    virtual ~DataValue();

    // Set formula
    //
    void setFormula(const QString& formula);

    // Get value
    //
    const fn::SampleVal& getValue();

private:

    // Initialize parser
    //
    void initializeParser();

    // Evaluate formula
    //
    void evaluateFormula();

    // Formula string
    QString m_formula;

    // Numeric value (after parsing formula)
    fn::SampleVal m_value;

    // Formula parser
    fn::FormulaParser m_parser;

};

}  // namespace fn

#endif  // _fn_DataValue_
