//==========================================================================================================================
//  Implementation file for "Mgr.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2015 NextPage Software
//==========================================================================================================================

#include "DiseaseReportMgr.h"

#include <QFileInfo>
#include <QTextStream>

namespace fn {

#if (defined(FINAL))
const QString kDiseaseReportsPath = "./diseaseReports/";
#else
const QString kDiseaseReportsPath = "./../../../../../_diseaseReports/";
#endif

DiseaseReportMgr::DiseaseReportMgr() :
    m_appPath("")
{

}

DiseaseReportMgr::~DiseaseReportMgr()
{

}

QString DiseaseReportMgr::getDiseaseReportHtml(const QString& diseaseId)
{
    QString basefileName = diseaseId;
    if (fn::InputType::BaselineAMRDiseaseIds.contains(diseaseId)) {
        basefileName = QStringLiteral("BaselineAMR");
    }

    QFileInfo diseaseReportFileInfo;
    diseaseReportFileInfo.setFile(m_appPath + kDiseaseReportsPath + basefileName + ".html");
    if (diseaseReportFileInfo.exists() && diseaseReportFileInfo.isReadable()) {
        QFile file(diseaseReportFileInfo.absoluteFilePath());
        file.open(QIODevice::ReadOnly);
        QTextStream in(&file);
        return in.readAll();
    } else {
        return "No disease report found.";
    }
}

void DiseaseReportMgr::setPath(const QString& appPath)
{
    m_appPath = appPath;
}

}  // namespace fn
