//==========================================================================================================================
//  Implementation file for "DiseaseTemplate.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2012 NextPage Software
//==========================================================================================================================

#include "DiseaseTemplate.h"

namespace fn {

DiseaseTemplate::DiseaseTemplate() :
    m_outcomeTreeTemplateMap(),
    m_outcomeTreeIDList(),
    m_isCongenital(false),
    m_caption(""),
    m_disease("")
{

}

DiseaseTemplate::~DiseaseTemplate()
{

}

void DiseaseTemplate::setDisease(const InputType::Disease& disease)
{
    m_disease = disease;
}

const InputType::Disease& DiseaseTemplate::getDisease() const
{
    return m_disease;
}

void DiseaseTemplate::addOutcomeTreeTemplateID(const QString& id)
{
    m_outcomeTreeIDList.append(id);
}

int DiseaseTemplate::getNumOutcomeTreeTemplates() const
{
    return m_outcomeTreeIDList.size();
}

const QString DiseaseTemplate::getOutcomeTreeTemplateID(const int index) const
{
    return m_outcomeTreeIDList.at(index);
}

void DiseaseTemplate::addOutcomeTreeTemplate(const QString& id, OutcomeTreeTemplate& outcomeTreeTemplate)
{
    m_outcomeTreeTemplateMap.insert(id, outcomeTreeTemplate);
}

const OutcomeTreeTemplate DiseaseTemplate::getOutcomeTreeTemplate(const QString& id) const
{
    return m_outcomeTreeTemplateMap[id];
}

void DiseaseTemplate::setCaption(const QString& caption)
{
    m_caption = caption;
}

QString DiseaseTemplate::getCaption() const
{
    return m_caption;
}

const QStringList& DiseaseTemplate::getOutcomeTreeIDList() const
{
    return m_outcomeTreeIDList;
}

void DiseaseTemplate::setOutcomeTreeIDList(const QStringList& outcomeTreeIDList)
{
    m_outcomeTreeIDList = outcomeTreeIDList;
}

const StringToOutcomeTreeTemplateMap& DiseaseTemplate::getOutcomeTreeTemplateMap() const
{
    return m_outcomeTreeTemplateMap;
}

void DiseaseTemplate::setOutcomeTreeTemplateMap(const StringToOutcomeTreeTemplateMap& outcomeTreeTemplateMap)
{
    m_outcomeTreeTemplateMap = outcomeTreeTemplateMap;
}

void DiseaseTemplate::setIsCongenital(const bool isCongenital)
{
    m_isCongenital = isCongenital;
}

bool DiseaseTemplate::getIsCongenital() const
{
    return m_isCongenital;
}


}  // namespace fn

