//==========================================================================================================================
//  'DiseaseTemplate' class
//			This class...
//
//  Written by Daniel Lewandowski
//  Copyright @ 2012 NextPage Software
//==========================================================================================================================

#ifndef _fn_DiseaseTemplate_
#define _fn_DiseaseTemplate_

#include "fn/OutcomeTreeTemplate.h"
#include "fn/InputFactor.h"

namespace fn {

class DiseaseTemplate
{
public:
    // Constructor.
    //
    DiseaseTemplate();

    // Destructor.
    //
    virtual ~DiseaseTemplate();

    // Get/set disease
    //
    void setDisease(const fn::InputType::Disease& disease);
    const fn::InputType::Disease& getDisease() const;

    // Add outcome tree ID
    //
    void addOutcomeTreeTemplateID(const QString& id);

    // Get outcome tree ID
    //
    const QString getOutcomeTreeTemplateID(const int index) const;

    // Get the total number of outcome tree IDs
    //
    int getNumOutcomeTreeTemplates() const;

    // Add outcome tree template
    //
    void addOutcomeTreeTemplate(const QString& id, fn::OutcomeTreeTemplate& outcomeTreeTemplate);

    // Get outcome tree template
    //
    const fn::OutcomeTreeTemplate getOutcomeTreeTemplate(const QString& id) const;

    void setCaption(const QString& caption);
    QString getCaption() const;

    const QStringList& getOutcomeTreeIDList() const;
    void setOutcomeTreeIDList(const QStringList& outcomeTreeIDList);

    const StringToOutcomeTreeTemplateMap& getOutcomeTreeTemplateMap() const;
    void setOutcomeTreeTemplateMap(const StringToOutcomeTreeTemplateMap& outcomeTreeTemplateMap);

    void setIsCongenital(const bool isCongenital);
    bool getIsCongenital() const;

private:

    StringToOutcomeTreeTemplateMap m_outcomeTreeTemplateMap;
    QStringList m_outcomeTreeIDList;
    bool m_isCongenital;
    QString m_caption;
    fn::InputType::Disease m_disease;

};

typedef QMap<fn::InputType::Disease, fn::DiseaseTemplate> DiseaseToDiseaseTemplateMap;

}  // namespace fn

#endif  // _fn_DiseaseTemplate_


