//==========================================================================================================================
//  Implementation file for "DiseaseTemplateMgr.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#include "DiseaseTemplateMgr.h"

#include "fn/DiseaseTemplate.h"

namespace fn {

DiseaseTemplateMgr::DiseaseTemplateMgr() :
    m_diseaseTemplates()
{

}

DiseaseTemplateMgr::~DiseaseTemplateMgr()
{

}

void DiseaseTemplateMgr::addDiseaseTemplate(const InputType::Disease disease, const fn::DiseaseTemplate& diseaseTemplate)
{
    m_diseaseTemplates.insert(disease, diseaseTemplate);
}

void DiseaseTemplateMgr::clearData()
{
    m_diseaseTemplates.clear();
}

const DiseaseToDiseaseTemplateMap& DiseaseTemplateMgr::getDiseaseTemplates() const
{
    return m_diseaseTemplates;
}

DiseaseTemplate& DiseaseTemplateMgr::getDiseaseTemplate(const InputType::Disease& disease)
{
    return m_diseaseTemplates[disease];
}

void DiseaseTemplateMgr::setDiseaseTemplates(const DiseaseToDiseaseTemplateMap& diseaseTemplatesMap)
{
    m_diseaseTemplates = diseaseTemplatesMap;
}

bool DiseaseTemplateMgr::diseaseExists(const InputType::Disease& disease) const
{
    return m_diseaseTemplates.contains(disease);
}

}  // namespace fn
