//==========================================================================================================================
//  Implementation file for "InputFactor.h"
//  Copyright @ 2011 Daniel Lewandowski, NextPage Software
//==========================================================================================================================

#include "InputFactor.h"

namespace fn {

InputFactor::InputFactor() :
    m_name(""),
    m_categories()
{

}

InputFactor::InputFactor(const QString& name, const QStringList& categories) :
    m_name(name),
    m_categories(categories)
{

}

InputFactor::~InputFactor()
{

}

const QString InputFactor::getName() const
{
    return m_name;
}

void InputFactor::setName(const QString name)
{
    m_name = name;
}

size_t InputFactor::getNumCategories() const
{
    return static_cast<size_t>(m_categories.length());
}

const QStringList& InputFactor::getCategoryList() const
{
    return m_categories;
}

void InputFactor::setCategoryList(const QStringList &categories)
{
    m_categories = categories;
}

} // namespace fn
