//==========================================================================================================================
//  'ModelRunWorker' class
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _fn_ModelRunWorker_
#define _fn_ModelRunWorker_

#include "fn/CustomDataTypes.h"

namespace fn {

class ModelRunWorker : public QObject
{
    Q_OBJECT

public:
	// Constructor.
	//
    ModelRunWorker(const int numSamples, const int randomSeed, const double timeDiscountRate, fn::DiseaseModelList& diseaseModelList);

	// Destructor.
	//
    virtual ~ModelRunWorker();

public slots:

    void process();

signals:

    void started();
    void progressInfo(float, int, int, QString);
    void finished();

private:

    void updateProgress();

    // Progress info
    int m_numSamples;
    int m_randomSeed;
    double m_timeDiscountRate;
    int m_numOutcomeTrees;
    int m_currentOutcomeTree;
    int m_numModels;
    int m_currentModel;
    QString m_modelCaption;

    // Disease model list to run
    fn::DiseaseModelList& m_diseaseModelList;

};

}  // namespace fn

#endif  // _fn_ModelRunWorker_

