//==========================================================================================================================
//  'Settings' class
//			This class implements settings for the toolkit
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _fn_Settings_
#define _fn_Settings_

#include <QSettings>

namespace fn {

class Settings 
{
public:
    // Constructor.
    //
    Settings();
    
    // Destructor.
    //
    virtual ~Settings();

    // Get the number of samples per run
    int getNumSamples();

    // Set the number of samples per run
    void setNumSamples(int numSamples);

    // Get random seed
    int getRandomSeed();

    // Set random seed
    void setRandomSeed(int randomSeed);

    // Get time discount rate
    double getTimeDiscountRate();

    // Set time discount rate
    void setTimeDiscountRate(double timeDiscountRate);

    // Write all settings
    void writeSettings();

private:	

    QSettings m_settings;
    
};

}  // namespace fn

#endif  // _fn_Settings_


