//==========================================================================================================================
//  Implementation file for "TransitionProbabilityComplement.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2012 NextPage Software
//==========================================================================================================================

#include "fn/TransitionProbabilityComplement.h"

#include "fn/TransitionProbability.h"
#include "fn/Overloads.h"

namespace fn {

TransitionProbabilityComplement::TransitionProbabilityComplement(const ID& id, const QString& caption, const fn::OutcomeTreeNode& parent,
                                                                 const fn::OutcomeTreeNode& child,
                                                                 fn::TransitionProbability& sourceTransProb) :
    fn::TransitionProbabilityBase(id, caption, sourceTransProb.getDims(), parent, child, fn::TransitionProbabilityBase::Complement),
    m_sourceTransProb(sourceTransProb)
{
    
}

TransitionProbabilityComplement::~TransitionProbabilityComplement()
{
    
}

void TransitionProbabilityComplement::evaluateAllFormulas()
{
    m_iterProbability = 1 - m_sourceTransProb.getIterProbability();
    m_iterRedistribution = m_sourceTransProb.getIterRedistribution();
}

bool TransitionProbabilityComplement::isRedistributeType() const
{
    return m_sourceTransProb.isRedistributeType();
}

bool TransitionProbabilityComplement::isDirectType() const
{
    return m_sourceTransProb.isDirectType();
}

const QString TransitionProbabilityComplement::getSourceTransProbCaption() const
{
    return m_sourceTransProb.getCaption();
}

}  // namespace fn

