//==========================================================================================================================
//  'TransitionProbabilityComplement' class
//			This class implements transition probability that is 1 - "source transition probability"
//
//  Written by Daniel Lewandowski
//  Copyright @ 2012 NextPage Software
//==========================================================================================================================

#ifndef _fn_TransitionProbabilityComplement_
#define _fn_TransitionProbabilityComplement_

#include "fn/TransitionProbabilityBase.h"

namespace fn {

class TransitionProbability;

class TransitionProbabilityComplement : public fn::TransitionProbabilityBase
{
public:
    // Constructor.
    //
    TransitionProbabilityComplement(const ID& id, const QString& caption, const fn::OutcomeTreeNode& parent, const fn::OutcomeTreeNode& child,
                                    fn::TransitionProbability& sourceTransProb);
    
    // Destructor.
    //
    virtual ~TransitionProbabilityComplement();
    
    // Generate a new sample for the transition probability
    //
    virtual void evaluateAllFormulas();

    // Return TRUE is transition probability is age dependent
    virtual bool isRedistributeType() const;

    // Return type of transition probability
    virtual bool isDirectType() const;

    // Get caption of the source transition probability
    //
    // Return - caption
    const QString getSourceTransProbCaption() const;

private:

    // Source transition probability
    fn::TransitionProbability& m_sourceTransProb;
    
};

}  // namespace fn

#endif  // _fn_TransitionProbabilityComplement_


