//==========================================================================================================================
//  Implementation file for "WebData.h"
//  Written by Daniel Lewandowski
//  Copyright © 2017 NextPage Software
//==========================================================================================================================

#include "WebData.h"

namespace fn {

WebData::WebData() :
    m_data()
{

}

WebData::~WebData()
{

}

void WebData::addData(const QString& key, const QVariantMap& value)
{
    m_data.insert(key, value);
}

void WebData::addData(const QString& key, const QString& value)
{
    m_data.insert(key, value);
}

void WebData::addData(const QString& key, const bool value)
{
    m_data.insert(key, value);
}

const QVariantMap WebData::getElemInfo() const
{
    return qvariant_cast<QVariantMap>(m_data.value("ElemInfo"));
}

const fn::DiseaseModel::ID WebData::getDiseaseModelID() const
{
    return getElemInfo().value("modelID").toString();
}

const fn::OutcomeTree::ID WebData::getOutcomeTreeID() const
{
    return getElemInfo().value("outcomeTreeID").toString();
}

const fn::OutcomeTreeNode::ID WebData::getOutcomeTreeNodeID() const
{
    return getElemInfo().value("outcomeTreeNodeID").toString();
}

void WebData::dataRequested()
{
    emit publishData(m_data);
}

}  // namespace fn
