﻿//==========================================================================================================================
//  'WebData' class
//			This class...
//
//  Written by Daniel Lewandowski
//  Copyright @ 2017 NextPage Software
//==========================================================================================================================

#include <QVariant>

#include "fn/DiseaseModel.h"
#include "fn/OutcomeTree.h"
#include "fn/OutcomeTreeNode.h"

#ifndef _fn_WebData_
#define _fn_WebData_

namespace fn {

class WebData : public QObject
{
    Q_OBJECT

public:
	// Constructor.
	//
    WebData();

	// Destructor.
	//
    virtual ~WebData();

    // Add data to be published
    void addData(const QString& key, const QVariantMap& value);
    void addData(const QString& key, const QString& value);
    void addData(const QString& key, const bool value);

    // Get data elements
    const QVariantMap getElemInfo() const;
    const fn::DiseaseModel::ID getDiseaseModelID() const;
    const fn::OutcomeTree::ID getOutcomeTreeID() const;
    const fn::OutcomeTreeNode::ID getOutcomeTreeNodeID() const;

    Q_INVOKABLE void dataRequested();

signals:

    void publishData(const QVariantMap&);

private:	

    QVariantMap m_data;

};

}  // namespace fn

#endif  // _fn_WebData_
