asymptomaticViewModule = (function (webGUI, webData, bcode) {

  // Results
  var incidenceGrid = new bcode.grids.InputTable('#resultsTab', { editable: false, append: false, caption: "Asymptomatic cases", table: { containerClass: 'moduleBox width300px floatLeft firstBox' }, stratified: { aggregatorType: 'sum' }, simplified: { enabled: false }, meta: { enabled: false } });

  /*
   * SLOTS
   */

  function initializeData(publishedData) {

    modelInfo = publishedData.ElemInfo;
    var caption = publishedData.Caption;
    var resultsAvailable = publishedData.ResultsAvailable;
    var incidenceData = publishedData.IncidenceData;

    // Set header
    $('#header').text(modelInfo.countryName + " - " + modelInfo.diseaseName + " - " + modelInfo.modelID + ": " + caption);

    // Set incidence data
    incidenceGrid.setData(incidenceData);

    $('#layout').removeClass('nonvisible');
  }

  /*
   * Layout (standard function)
   */

  function layout() {

  }
  $(window).resize(layout);
  layout();

  /*
   * Hook up C++ with JavaScript
   */

  webData.publishData.connect(initializeData);
});
