infectionViewModule = (function (bcode) {

  /*
   * Tabs
   */

  $("#tabs").tabs("#tabsContainer > div", {
    effect: 'fade',
    current: 'active'
  });

  // Parameters
  var lifeExpGrid = new bcode.grids.InputTable('#parametersTab', { editable: false, caption: "Life expectancy", table: { containerClass: 'moduleBox floatLeft firstBox' }, simplified: { enabled: false } });

  // Results
  var outputIncidenceGrid = new bcode.grids.InputTable('#resultsTab', { editable: false, append: false, caption: "Total average case-based data", table: { containerClass: 'moduleBox floatLeft firstBox' }, stratified: { aggregatorType: 'sum' }, simplified: { enabled: false }, meta: { enabled: false } });

  /*
   * SLOTS
   */

  function initializeData(publishedData) {

    // Set header
    $('#header').text(publishedData.ElemInfo.countryName + " - " + publishedData.ElemInfo.diseaseName + " - " + publishedData.ElemInfo.modelID + ": " + publishedData.Caption);

    var tabsApi = $("ul.tabs").data("tabs");
    if (!publishedData.ResultsAvailable) {
      tabsApi.click(0);
      $("#tabResults").hide();
    } else {
      tabsApi.click(1);
    }

    // Set life expectancy data
    lifeExpGrid.setData(publishedData.LifeExpData);
    // Set output incidence data
    outputIncidenceGrid.setData(publishedData.SampleMeanOutputIncidence);

    $('#layout').removeClass('nonvisible');
  }

  /*
   * Layout (standard function)
   */

  function layout() {

  }
  $(window).resize(layout);
  layout();

  return {
    initializeData: initializeData
  }
});
