yllHealthOutcomeViewModule = (function (webGUI, webData, bcode) {

  /*
   * Tabs
   */

  $("#tabs").tabs("#tabsContainer > div", {
    effect: 'fade',
    current: 'active'
  });

  // Parameters
  var modelInfo;

  // Results (creation order reverted due to prepending)
  var burdenGrid = new bcode.grids.InputTable('#resultsTab', { editable: false, append: false, caption: "Years of Life Lost", stratified: { aggregatorType: 'sum' }, simplified: { enabled: false }, meta: { enabled: false } });
  var incidenceGrid = new bcode.grids.InputTable('#resultsTab', { editable: false, append: false, caption: "Symptomatic Cases", table: { containerClass: 'moduleBox floatLeft firstBox' }, stratified: { aggregatorType: 'sum' }, simplified: { enabled: false }, meta: { enabled: false } });

  /*
   * SLOTS
   */

  function initializeData(publishedData) {
    modelInfo = publishedData.ElemInfo;
    var caption = publishedData.Caption;
    var resultsAvailable = publishedData.ResultsAvailable;
    var proportionData = publishedData.ProportionData;
    var incidenceData = publishedData.IncidenceData;
    var burdenData = publishedData.BurdenData;

    // Set header
    $('#header').text(modelInfo.countryName + " - " + modelInfo.diseaseName + " - " + modelInfo.modelID + ": " + caption);

    var tabsApi = $("ul.tabs").data("tabs");
    if (!resultsAvailable) {
      tabsApi.click(0);
      $("#tabResults").hide();
    } else {
      tabsApi.click(1);
    }

    // Set incidence data
    incidenceGrid.setData(incidenceData);
    // Set burden data
    burdenGrid.setData(burdenData);

    $('#layout').removeClass('nonvisible');
  }

  var highlightFormulaErrors = function (highlightData) {
    proportionGrid.highlightErrorCells(highlightData['proportion']);
  };

  /*
   * Layout (standard function)
   */

  function layout() {

  }
  $(window).resize(layout);
  layout();

  /*
   * Hook up C++ with JavaScript
   */
  webData.publishData.connect(initializeData);
  webGUI.showMessageInYLLPage.connect(bcode.messageSystem.showNotification);
  webGUI.formulaCheckResultsAvailableForYLLPage.connect(highlightFormulaErrors);

  /*
   * Hook up local events with C++
   */

  $('#applyModelParamChagesBtn').click(function () {
    webGUI.applyChangesToYLLParams(modelInfo, proportionGrid.getData());
  });
});
