var RunAll = function() {
  let flowChartContainer = $("#flowChartContainer");

  jsPlumb.importDefaults({
    RenderMode: "svg",
    DefaultDragOptions: {cursor: "pointer", zIndex: 2000},
    PaintStyle: {lineWidth: 1, strokeStyle: "rgb(150, 150, 150)"},
    Endpoint: "Blank",
    Endpoints: ["Blank", "Blank"],
    HoverPaintStyle: {lineWidth: 2, strokeStyle: "rgb(100, 100, 100)"},
    LabelStyle: {color: "#333", font: "normal 10px", location: 0.5},
    Connector: ["Straight"],
    Container: flowChartContainer,
    ConnectionsDetachable: false,
    Overlays: [["Arrow", {length: 8, width: 8, location: -1}]],
    Anchors: ["RightMiddle", "LeftMiddle"]
  });

  renderDisease(flowChartContainer, diseaseSpec);

  jsPlumb.reset();
  jsPlumb.setSuspendDrawing(true);

  var otSpecs = diseaseSpec.outcomeTrees;
  var otTemplates = "";
  for (let otId in otSpecs) {
    let otSpec = otSpecs[otId];

    let tSpecs = otSpec.transitions;
    for (let tId in tSpecs) {
      let tSpec = tSpecs[tId];

      let sourceId = tSpec.source.id;
      let targetId = tSpec.target.id;
      let otId = tSpec.outcomeTree;
      let tName = tSpec.name;

      createConnection(sourceId, targetId, {}, tId, otId, tName);
    }
  }

  jsPlumb.setSuspendDrawing(false, true);
}
