//==========================================================================================================================
//  'DataPresenter' class
//			This class implements a bridge from C++ to webkit for displaying internal data in the interface
//
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#ifndef _ui_DataPresenter_
#define _ui_DataPresenter_

#include <QWebEngineView>
#include "fn/WebData.h"

namespace ui {

class WebGUI;

class DataPresenter: public QWidget
{

    Q_OBJECT

public:

	// Constructor.
	//
    DataPresenter(const QVariantMap& elemInfo, const QString& caption, const bool resultsAvailable, ui::WebGUI* webGUI,
                  QWidget* parent = 0);

	// Destructor.
	//
    virtual ~DataPresenter();

    // Get webData
    const fn::WebData& getWebData() const;

signals:

    // Notify parent that this dialog is closing
    void gettingDestroyed(ui::DataPresenter*);

protected:

    void keyPressEvent(QKeyEvent* event);

    QWebEngineView m_webView;
    fn::WebData m_webData;
    ui::WebGUI* m_webGUI;
};

}  // namespace ui

#endif  // _ui_DataPresenter_
