//==========================================================================================================================
//  Implementation file for "InfectionDataPresenter.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#include "InfectionDataPresenter.h"

namespace ui {

InfectionDataPresenter::InfectionDataPresenter(const QVariantMap& elemInfo, const QString& caption,
                                               const bool resultsAvailable, const QVariantMap& lifeExpData,
                                               const QVariantMap& sampleMeanOutputIncidence, ui::WebGUI* webGUI, QWidget* parent) :
    DataPresenter(elemInfo, caption, resultsAvailable, webGUI, parent)
{
    resize(QSize(870, 700));
    m_webData.addData("LifeExpData", lifeExpData);
    m_webData.addData("SampleMeanOutputIncidence", sampleMeanOutputIncidence);
    m_webView.setUrl(QUrl("qrc:/interface/subpages/infectionView.html"));
    setWindowTitle("Infection data");
}

InfectionDataPresenter::~InfectionDataPresenter()
{

}

}  // namespace ui
