//==========================================================================================================================
//  Implementation file for "ModelCreateDlg.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2018 NextPage Software
//==========================================================================================================================

#include <QFileInfo>
#include "ui/ModelCreateDlg.h"

namespace ui {

#if (defined(FINAL))
    const QString kModelCreatePath = "./modelCreate/";
#else
    const QString kModelCreatePath = "./../../../../ModelCreate/";
#endif

ModelCreateDlg::ModelCreateDlg(const QString& appPath, QWidget* parent) :
    QWebEngineView(parent),
    m_appPath(appPath)
{
    // Set ui
    resize(QSize(1024, 768));
    setAttribute(Qt::WA_DeleteOnClose);

    // Remove context menu in production builds
    #if (defined(FINAL))
        this->setContextMenuPolicy(Qt::PreventContextMenu);
    #else
        this->setContextMenuPolicy(Qt::DefaultContextMenu);
    #endif

    this->setWindowTitle("Model Create tool - BCoDE");

    QFileInfo modelCreateFileInfo;
    modelCreateFileInfo.setFile(m_appPath + kModelCreatePath + "index.html");
    if (modelCreateFileInfo.exists() && modelCreateFileInfo.isReadable()) {
        setUrl(QUrl("file:///" + modelCreateFileInfo.canonicalFilePath()));
    } else {
        setHtml("Interface for Model Create tool has not been found in subfolder " + kModelCreatePath);
    }
}

ModelCreateDlg::~ModelCreateDlg()
{

}

}  // namespace ui
