//==========================================================================================================================
//  Implementation file for "WebGUI.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2018 NextPage Software
//==========================================================================================================================

#include <QString>
#include <QtWebChannel/QtWebChannel>
#include <QLatin1String>
#include <QFileDialog>
#include "ut/SmtpClient.h"
#include "ui/ModelCreateWebGUI.h"

namespace ui {

ModelCreateWebGUI::ModelCreateWebGUI():
    m_page(nullptr)
{

}

ModelCreateWebGUI::~ModelCreateWebGUI()
{

}

void ModelCreateWebGUI::setPage(QWebEnginePage* page)
{
    m_page = page;

    if (page != nullptr) {
        QWebChannel* channel = new QWebChannel();
        channel->registerObject(QStringLiteral("modelCreateWebGUI"), this);
        m_page->setWebChannel(channel);
    }
}

void ModelCreateWebGUI::emailModel(const QByteArray& modelJSON)
{
    QString body =
            QStringLiteral("A new disease model is submitted:\n\n") +
            QStringLiteral("Author: Daniel Lewandowski\n") +
            QStringLiteral("Email: daniel@nextpagesoft.net\n\n") +
            QStringLiteral("Please, find the model file attached.");

    ut::SmtpClient* smtpClient = new ut::SmtpClient(
                "email@email.com",
                "password",
                "smtp.server.com",
                465);
    // connect(smtpClient, SIGNAL(status(QString)), this, SLOT(mailSent(QString)));

    smtpClient->sendMail(
                "from@email.com",
                "to@email.com",
                "Subject",
                body,
                "Test-disease.model_spec.json",
                modelJSON);
}

void ModelCreateWebGUI::saveModel(const QByteArray& modelJSON)
{
    QString filename = QFileDialog::getSaveFileName(nullptr, tr("Save model"), QDir::currentPath(), tr("JSON files (*.json)"));
    QFile jsonFile(filename);
    jsonFile.open(QFile::WriteOnly);

    jsonFile.write(modelJSON);
}

}  // namespace ui

