//==========================================================================================================================
//  'ModelCreateWebGUI' class
//			This class implements graphical user interface pages
//
//  Written by Daniel Lewandowski
//  Copyright @ 2018 NextPage Software
//==========================================================================================================================

#ifndef _ui_ModelCreateWebGUI_
#define _ui_ModelCreateWebGUI_

#include <QObject>
#include <QWebEnginePage>

namespace ui {

class ModelCreateWebGUI : public QObject
{
    Q_OBJECT

public:

    // Constructor.
    //
    ModelCreateWebGUI();

    // Destructor.
    //
    virtual ~ModelCreateWebGUI();

    // Set page
    //
    // 'page' - [in] Web page
    //
    void setPage(QWebEnginePage* page);

    Q_INVOKABLE void emailModel(const QByteArray& modelJSON);
    Q_INVOKABLE void saveModel(const QByteArray& modelJSON);

private:

    QWebEnginePage* m_page;

};

}  // namespace ui

#endif // _ui_ModelCreateWebGUI_
