//==========================================================================================================================
//  Implementation file for "DataPresenter.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#include "ui/TransProbDataPresenter.h"
#include "ui/WebGUI.h"

namespace ui {

TransProbDataPresenter::TransProbDataPresenter(const QVariantMap& elemInfo, const QString& caption,
                                               const bool resultsAvailable, const bool isBaseTrans,
                                               const bool isRedistributeType,
                                               const QVariantMap& inputProbability, const QVariantMap& inputRedistribution,
                                               const QVariantMap& outputProbabilityData, const QVariantMap& outputRedistributionData,
                                               const QVariantMap& outputIncidenceData,
                                               ui::WebGUI* webGUI, QWidget* parent) :
    DataPresenter(elemInfo, caption, resultsAvailable, webGUI, parent)
{
    resize(QSize(1000, 700));
    m_webData.addData("IsBaseTrans", isBaseTrans);
    m_webData.addData("IsRedistributeType", isRedistributeType);
    m_webData.addData("InputProbability", inputProbability);
    m_webData.addData("InputRedistribution", inputRedistribution);
    m_webData.addData("OutputProbabilityData", outputProbabilityData);
    m_webData.addData("OutputRedistributionData", outputRedistributionData);
    m_webData.addData("OutputIncidenceData", outputIncidenceData);
    m_webView.setUrl(QUrl("qrc:/interface/subpages/transProbView.html"));
    setWindowTitle("Transition probability data");
}

TransProbDataPresenter::~TransProbDataPresenter()
{

}

}  // namespace ui
