//==========================================================================================================================
//  Implementation file for "DataPresenter.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#include "ui/YLDHealthOutcomeDataPresenter.h"
#include "ui/WebGUI.h"

namespace ui {

YLDHealthOutcomeDataPresenter::YLDHealthOutcomeDataPresenter(const QVariantMap& elemInfo, const QString& caption,
                                                             const bool resultsAvailable, const QVariantMap& severityData,
                                                             const QVariantMap& durationData, const QVariantMap& proportionData,
                                                             const QVariantMap& incidenceData, const QVariantMap& burdenData,
                                                             const QVariantMap& remLEData, ui::WebGUI* webGUI, QWidget* parent) :
    DataPresenter(elemInfo, caption, resultsAvailable, webGUI, parent)
{
    resize(QSize(980, 670));
    m_webData.addData("IncidenceData", incidenceData);
    m_webData.addData("BurdenData", burdenData);
    m_webData.addData("RemLEData", remLEData);
    m_webData.addData("SeverityData", severityData);
    m_webData.addData("DurationData", durationData);
    m_webData.addData("ProportionData", proportionData);
    m_webView.setUrl(QUrl("qrc:/interface/subpages/yldHealthOutcomeView.html"));
    setWindowTitle("Health state data");
}

YLDHealthOutcomeDataPresenter::~YLDHealthOutcomeDataPresenter()
{

}

}  // namespace ui
