//==========================================================================================================================
//  Implementation file for "DataPresenter.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#include "ui/YLLHealthOutcomeDataPresenter.h"
#include "ui/WebGUI.h"

namespace ui {

YLLHealthOutcomeDataPresenter::YLLHealthOutcomeDataPresenter(const QVariantMap& elemInfo, const QString& caption, const bool resultsAvailable,
                                                             const QVariantMap& proportionData, const QVariantMap& incidenceData,
                                                             const QVariantMap& burdenData, const QVariantMap& remLEData,
                                                             ui::WebGUI* webGUI, QWidget* parent) :
    DataPresenter(elemInfo, caption, resultsAvailable, webGUI, parent)
{
    m_webData.addData("IncidenceData", incidenceData);
    m_webData.addData("BurdenData", burdenData);
    m_webData.addData("RemLEData", remLEData);
    m_webData.addData("ProportionData", proportionData);
    m_webView.setUrl(QUrl("qrc:/interface/subpages/yllHealthOutcomeView.html"));
    setWindowTitle("Health state data");
}

YLLHealthOutcomeDataPresenter::~YLLHealthOutcomeDataPresenter()
{

}

}  // namespace ui
