//==========================================================================================================================
//  Implementation file for "Exception.h"
//  Copyright @ 2003 Daniel Lewandowski
//==========================================================================================================================

#include "ut/Exception.h"

namespace ut {

Exception::Exception(const QString& errorMessage, const QString& functionName) :
	m_errorMessage(errorMessage),
	m_functionName(functionName)
{
}


Exception::Exception(const Exception& original) :
	m_errorMessage(original.m_errorMessage),
	m_functionName(original.m_functionName)
{
}


Exception::~Exception()
{
}


Exception& Exception::operator=(const Exception& original)
{
	m_errorMessage = original.m_errorMessage;
	m_functionName = original.m_functionName;
	return *this;
}


const QString& Exception::getErrMessage() const
{
	return m_errorMessage;
}


const QString& Exception::getFunctionName() const
{
	return m_functionName;
}


} // namespace ut

