//==========================================================================================================================
//  Implementation file for "Class.h"
//  Written by Daniel Lewandowski
//  Copyright @ 2011 NextPage Software
//==========================================================================================================================

#include "ut/VariantUtils.h"

namespace ut {

QVariantList DoubleQVectorToQVariantList(const QVector<double>& vector)
{
    QVariantList result;
    foreach(double s, vector){
        result << s;
    }
    return result;
}

QVariantList BoolQVectorToQVariantList(const QVector<bool>& vector)
{
    QVariantList result;
    foreach(bool s, vector){
        result << s;
    }
    return result;
}

QVector<double> DoubleQVariantListToQVector(const QVariantList& variantList)
{
    QVector<double> result;
    foreach(QVariant s, variantList){
        result << s.toDouble();
    }
    return result;
}

QVector<bool> BoolQVariantListToQVector(const QVariantList& variantList)
{
    QVector<bool> result;
    foreach(QVariant s, variantList){
        result << s.toBool();
    }
    return result;
}

}  // namespace ut
