//==========================================================================================================================
//  Globals for the "ut" library.
//
//  Copyright @ 2011 Daniel Lewandowski
//==========================================================================================================================

#ifndef _ut_globals_
#define _ut_globals_

#include <QMessageBox>
#include "Exception.h"

namespace ut {
//==========================================================================================================================
//  Global functions
//==========================================================================================================================
inline void DisplayMessage(const QString& message)
{
    QMessageBox::warning(NULL, "Warning", message);
}

inline void DisplayException(const ut::Exception& e)
{
    QMessageBox::critical(NULL, "Error", "<b>Error message</b>: " + e.getErrMessage() +
                          "<br /><b>Place of occurence</b>: " + e.getFunctionName() +
                          "<br /><br />Progam will terminate now.");
}

} // namespace ut

//==========================================================================================================================
//  Macros
//==========================================================================================================================

#define UT_DELETE(ptr)			delete ptr;  ptr = nullptr;
#define UT_DELETE_ARRAY(ptr)	delete [] ptr;  ptr = nullptr;

#define UT_THROW(msg)			throw ut::Exception(msg, __FUNCTION__);

#endif  // _ut_globals_

